# -*- rpm-spec -*-
%define module_name	madwifi
%define module_version	0.9.4
%define real_version	0.9.4

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: alt1
Serial: 2
Provides: kernel-source-%module_name-%module_version
Summary: Linux %module_name Atheros WiFi chipset series module sources
License: GPL or BSD
Group: Development/Kernel
Url: http://sourceforge.net/projects/madwifi/
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: %module_name-%real_version.tar.bz2
Patch: madwifi-ng-r2277.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
%module_name module sources for Linux kernel

%prep
%setup -c -q
pushd %module_name-%real_version
%patch -p1
popd
%__mv %module_name-%real_version %name-%version

%install
%__mkdir_p %kernel_srcdir
%__tar jcf %kernel_srcdir/%name-%version.tar.bz2 %name-%version

%files
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2

%changelog
* Sat Mar 08 2008 L.A. Kostis <lakostis@altlinux.ru> 2:0.9.4-alt1
- New 0.9.4 version:
   + fixes compilation for recently released kernel 2.6.24
   + introduces Minstrel rate control algorithm
   + introduces switch to turn ANI (Ambience Noise Immunity) off, 
     which can help to improve performance (see also #705)
   + several bug fixes to improve stability
   + now defaults to radiotap headers in monitor mode
   + adds support for variable number of VAPs, tunable via module parameter 

* Sun Nov 04 2007 L.A. Kostis <lakostis@altlinux.ru> 2:0.9.3.3-alt1
- New 0.9.3.3 version:
  + fix CVE-2007-5448
  + fix build with recent 2.6.23+ kernel.

* Fri Aug 03 2007 L.A. Kostis <lakostis@altlinux.ru> 2:0.9.3.1-alt2
- add madwifi-ng-r2277.patch for proper packet injection.

* Wed May 23 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 2:0.9.3.1-alt1
- 0.9.3.1 release fixing serious security bugs.

* Fri May 11 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 2:0.9.3-alt1
- New 0.9.3 version.

* Sat Sep 02 2006 Alexei Takaseev <taf@altlinux.ru> 2:0.9.2-alt1
- 0.9.2 release
- Transition to the official name of versions

* Tue Apr 11 2006 Alexei Takaseev <taf@altlinux.ru> 1:0.9.4.5-alt3
- 20060411 snapshot
- HAL 0.9.16.16

* Wed Feb 01 2006 Alexei Takaseev <taf@altlinux.ru> 1:0.9.4.5-alt2
- 20060201 snapshot

* Sun Dec 11 2005 Alexei Takaseev <taf@altlinux.ru> 1:0.9.4.5-alt1
- madwifi-ng

* Sat May 21 2005 Alexei Takaseev <taf@altlinux.ru> 0.9.14.9-alt1
- 0.9.14.9

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.4.12-alt1
- develcvs-20041229 CVS snapshot (includes changes for compatibility with
  kernel 2.6.10)
- Fixed %%setup (old files left in BUILD were not removed before unpacking).
- Changed toplevel directory in the generated tarball to %%name-%%version as in
  other kernel-source-* packages.

* Wed Apr 14 2004 Alexander Bokovoy <ab@altlinux.ru> 0.8.5.4-alt1
- 0.8.5.4

* Tue Sep 30 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt4
- Fixed:
   + -O2 was missed from COPTS in Makefile.inc

* Thu Sep 18 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt3
- Snapshot of 2003/09/18
- Added:
   + Patch from Tom Marshall to fix:
     + link quality reporting
     + Cisco VPN client interoperability
     + Transfer speed for WEP-enabled 802.11g 
       (~20Mbit/s on OSI level 7 now, was about 1Mbit/s)

* Fri Aug 22 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt2
- Snapshot of 2003/08/22
- Fixed:
   + Some 'NETDEV WATCHDOG: ath0: transmit timed out' errors
   + Hangs during module removal
- Added:
   + ADHOC mode enabled

* Sat Aug 16 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt1
- Initial release
